(function(_$, doc) {
	var userInfoStr = localStorage.getItem("$state");
	var userInfo = JSON.parse(userInfoStr);
	var rootDm = "ZJ";
	var hcbList = null ;
	var JsonData ;

	_$.init({

		pullRefresh: {
			container: "#refreshContainer", //下拉刷新容器标识，querySelector能定位的css选择器均可，比如：id、.class等
			down: {
				style: 'circle', //必选，下拉刷新样式，目前支持原生5+ ‘circle’ 样式
				color: '#2BD009', //可选，默认“#2BD009” 下拉刷新控件颜色
				height: '50px', //可选,默认50px.下拉刷新控件的高度,
				range: '100px', //可选 默认100px,控件可下拉拖拽的范围
				offset: '0px', //可选 默认0px,下拉刷新控件的起始位置
				auto: true//可选,默认false.首次加载自动上拉刷新一次
			}
		}
	});

	//阻尼系数：flick 减速系数，系数越大，滚动速度越慢，滚动距离越小，默认值0.0006 
	var deceleration = mui.os.ios ? 0.003 : 0.0006;
	_$('.mui-scroll-wrapper').scroll({
		bounce: true,
		indicators: true, //是否显示滚动条
		deceleration: deceleration
	});

	_$.plusReady(function() {


		var self = plus.webview.currentWebview();
		var data = self.data;
		loadJCB();
	
		function loadJCB() {
			/*var jsonObj = {id:0};
			jsonObj["item"] = eval("("+hcbJson+")");
           
            */

			try {
				plus.nativeUI.showWaiting("加载中");
				var ajax = new AjaxProxy();
				ajax.setCacheData(false);
				ajax.addParm("cFather", rootDm);
				ajax.invokeJava("ccbglService.getCcbInfo");
				var hcbTreeJson = ajax.getString('RESULT');
				plus.nativeUI.closeWaiting();
				var jsonObj = {id:0};
				jsonObj["item"] = eval("("+hcbTreeJson+")");
				 hcbList   = jsonObj["item"][0]["item"];
				 console.log(hcbList); 
            	var hcbLength = hcbList.length;
			} catch(e) {
				mui.alert("连接超时","错误信息",function(){
					_$.back();
				});
			}

			var html = "";
			for(var i = 0; i < hcbLength ; i++) {
				var data = {
					jcbName: hcbList[i].userdata[0].content.C_MC,
					hcbId: hcbList[i].id
				}
				html += "<li class='mui-table-view-cell mui-collapse'><a class='mui-navigate-right jcbname'>" + data.jcbName + "</a>	<span class='jcbbh' style='display: none;'>" + data.hcbId + "</span></li>";
			}
			$("#CheckTable_list").append(html);
		}
		
		$("#CheckTable_list li").each(function(i,v) {
			$(this).on('tap', function() {
				 JsonData = hcbList[i];
//				console.log(JSON.stringify(JsonData));
					if(JsonData['item'].length == 0){
						 plus.nativeUI.toast( "没有数据了");
						return ;
					}else{
					_$.openWindow({
						url: "tableList.html",
						id: "tableList",
						extras: {
				 		data:JsonData
						},
						show: {
//						aniShow: 'fade-in',
						duration: 300
						},
						createNew: true, //是否重复创建同样id的webview，默认为false:不重复创建，直接显示
						waiting: {
						autoShow: false
						}
					});
				}
				
			});
		})

	});
})(mui, document)