(function(_$, doc) {
	_$.init();

	//阻尼系数：flick 减速系数，系数越大，滚动速度越慢，滚动距离越小，默认值0.0006 
	var deceleration = mui.os.ios ? 0.003 : 0.0006;
	_$('.mui-scroll-wrapper').scroll({
		bounce: true,
		indicators: true, //是否显示滚动条
		deceleration: deceleration
	});

	_$.plusReady(function() {
		var self = plus.webview.currentWebview();
		var data = self.data;
		var userInfo = JSON.parse(localStorage.getItem("$state"));

		var n_apbh = [];
		var apbh = '',
			gcbh;
		loadJoBList(); //初始化检索工作列表

		//申请日期选择
		$("#divSqrq").on('tap', function() {
			var optionsJson = this.getAttribute('data-options') || '{}';
			var options = JSON.parse(optionsJson);
			var id = this.getAttribute('id');
			/*
			 * 首次显示时实例化组件
			 * 示例为了简洁，将 options 放在了按钮的 dom 上
			 * 也可以直接通过代码声明 optinos 用于实例化 DtPicker
			 */
			var picker = new _$.DtPicker(options);
			picker.show(function(rs) {
				/*
				 * rs.value 拼合后的 value
				 * rs.text 拼合后的 text
				 * rs.y 年，可以通过 rs.y.vaue 和 rs.y.text 获取值和文本
				 * rs.m 月，用法同年
				 * rs.d 日，用法同年
				 * rs.h 时，用法同年
				 * rs.i 分（minutes 的第二个字母），用法同年
				 */
				doc.getElementById("C_JCSJ").value = rs.text;
				/* 
				 * 返回 false 可以阻止选择框的关闭
				 * return false;
				 */
				/*
				 * 释放组件资源，释放后将将不能再操作组件
				 * 通常情况下，不需要示放组件，new DtPicker(options) 后，可以一直使用。
				 * 当前示例，因为内容较多，如不进行资原释放，在某些设备上会较慢。
				 * 所以每次用完便立即调用 dispose 进行释放，下次用时再创建新实例。
				 */
				picker.dispose();

				setTimeout(function() {
					loadJoBList();
				}, 20);
			});
		});

		//				$("#C_JDBAH").on('input propertychange',function(){
		//						loadJoBList()
		//				})   

		doc.getElementById("C_JDBAH").onblur = function() {
			loadJoBList();
		}

		//加载任务列表
		function loadJoBList() {
			var $jobList = $("#job_list");
			$jobList.empty();
			var tempHtml = $("#card_template").html();
			plus.nativeUI.showWaiting("等待中...");
			var ajax = new AjaxProxy();
			ajax.setCacheData(false);
			ajax.addParm("PN_USERID", userInfo.userId);
			ajax.addParm("PC_JDBAH", $("#C_JDBAH").val());
			ajax.addParm("PC_JCSJ", $("#C_JCSJ").val());
			ajax.invokeProc("APPUSER2017.ZJSYS_SJXCJDGL.P_ZJSYS_SJXCJDGL_DJCLIST", true, function(resp) {
				plus.nativeUI.closeWaiting();
				var ret = resp.getInt("PN_RET");
				var row = resp.getRowCount("P_RESULT");
				if(ret != 0) {
					mui.alert("错误", resp.getString("PC_MSG"));
				} else {
					var htmlStr = '';
					for(var i = 1; i <= row; i++) {
						var data = {
							C_GCMC: resp.getString("P_RESULT", i, "C_GCMC"),
							C_JDBAH: resp.getString("P_RESULT", i, "C_JDBAH"),
							N_DJAPBH: resp.getString("P_RESULT", i, "N_DJAPBH"),
							D_APJCSJ: resp.getString("P_RESULT", i, "D_APJCSJ"),
							C_GCLBMC: resp.getString("P_RESULT", i, "C_GCLBMC"),
							C_APJCSD: resp.getString("P_RESULT", i, "C_APJCSD"),
							C_JCSJMS: resp.getString("P_RESULT", i, "C_JCSJMS"),
							C_JDCYXM: resp.getString("P_RESULT", i, "C_JDCYXM"),
							N_GCBH: resp.getString("P_RESULT", i, "N_GCBH"),
							C_GCLB: resp.getString("P_RESULT", i, "C_GCLB"),
							C_SGDW_MC: resp.getString("P_RESULT", i, "C_SGDW_MC"),
							C_JLDW_MC: resp.getString("P_RESULT", i, "C_JLDW_MC"),
							C_ZJLGCS_XM: resp.getString("P_RESULT", i, "C_ZJLGCS_XM"),
							C_SGXMJL_XM: resp.getString("P_RESULT", i, "C_SGXMJL_XM"),
							N_XYPJJLBH: resp.getString("P_RESULT", i, "N_XYPJJLBH"),
							N_XYPJMBH: resp.getString("P_RESULT", i, "N_XYPJMBH"),
							N_SGDW_DF: resp.getString("P_RESULT", i, "N_SGDW_DF"),
							N_JLDW_DF: resp.getString("P_RESULT", i, "N_JLDW_DF"),
							D_PJSJ: resp.getString("P_RESULT", i, "D_PJSJ"),
							C_PJR_XM: resp.getString("P_RESULT", i, "C_PJR_XM"),
							C_XYPJBZ: resp.getString("P_RESULT", i, "C_XYPJBZ"),
							C_BCXYPJBZ: resp.getString("P_RESULT", i, "C_BCXYPJBZ"),
							C_ZGBZ: resp.getString("P_RESULT", i, "C_ZGBZ"),
							C_PJXXJD: resp.getString("P_RESULT", i, "C_PJXXJD")
						}

						var $card_cp = $(tempHtml);
						$("div.C_JDBAH", $card_cp).html("监督备案号:&nbsp;&nbsp;" + data.C_JDBAH);
						$("div.C_GCMC", $card_cp).html(data.C_GCMC);
						$("div.N_GCBH", $card_cp).html(data.N_GCBH);
						$("div.C_JDCY", $card_cp).html(data.C_JDCYXM);
						$("div.N_APBH", $card_cp).html(data.N_DJAPBH);
						$("div.yjcccb", $card_cp).html("已检查抽查表列表:");
						$("div.C_GCLB", $card_cp).html(data.C_GCLB);
						$("div.N_GCBH", $card_cp).html(data.N_GCBH);
						$("div.C_JDCYXM", $card_cp).html(data.C_JDCYXM);
						$("div.N_GCBH", $card_cp).html(data.N_GCBH);
						$("div.D_APJCSJ", $card_cp).html(data.D_APJCSJ);
						$("div.N_XYPJJLBH", $card_cp).html(data.N_XYPJJLBH);
						$("div.N_XYPJMBH", $card_cp).html(data.N_XYPJMBH);
						$("div.C_SGXMJL_XM", $card_cp).html(data.C_SGXMJL_XM);
						$("div.C_JCSJMS", $card_cp).html("检查时间: &nbsp;" + data.C_JCSJMS);
						$("div.N_SGDW_DF", $card_cp).html(data.N_SGDW_DF);
						$("div.N_JLDW_DF", $card_cp).html(data.N_JLDW_DF);
						$("div.C_PJR_XM", $card_cp).html(data.C_PJR_XM);
						$("div.D_PJSJ", $card_cp).html(data.D_PJSJ);
						if(data.C_ZGBZ == '1') {
							$(".checkNow", $card_cp).before('<button type="button" class="mui-btn mui-btn-primary mui-btn-outlined xfzgtzBtn"  data-toggle="modal" data-target="#myModal" style="display: inline-block;position:absolute;right:12rem;bottom:0.2rem;padding:0.15rem 0.4rem;">下发整改</button>');
						}
//						$("div.c_jdsj", $card_cp).html("检查时间: " + data.C_JCSJMS);
						$card_cp.data('data', data);
						$jobList.append($card_cp);
						getZGBZ();
						if(data.C_BCXYPJBZ == '1') {
								if(data.C_XYPJBZ == '0') {
									$(".mui-card-footer").eq(i - 1).append('<button data-option="0" type="button" class="mui-btn mui-btn-primary mui-btn-outlined xypjBtn" style="display: inline-block;position:absolute;right:6.3rem;bottom:0.2rem;padding:0.15rem 0.4rem;">信用评价</button>')
								}
							} else if(data.C_BCXYPJBZ == '0' || data.C_BCXYPJBZ == '3') {
								$(".mui-card-footer").eq(i - 1).append('<button data-option="0" type="button" class="mui-btn mui-btn-primary mui-btn-outlined xypjBtn" style="display: inline-block;position:absolute;right: 6.3rem;bottom:0.2rem;padding:0.15rem 0.4rem;">继续信用评价</button>')
							} else {
								$(".mui-card-footer").eq(i - 1).append('<button data-option="1" type="button" class="mui-btn mui-btn-primary mui-btn-outlined xypjBtn" style="display: inline-block;position:absolute;right: 6.3rem;bottom:0.2rem;padding:0.15rem 0.4rem;">查看评价表</button>')
							}
					}
					openCheckIN();
				}
			}, ajax)

			//获取整改信息
			function getZGBZ() {
				$("button.xfzgtzBtn").off().on('tap', function() {
					var data = $(this).closest("div.jobData").data("data");
					$("#zgnr-content").empty();
					var ajax = new AjaxProxy();
					ajax.setCacheData(false);
					ajax.addParm("PN_DJAPBH", data.N_DJAPBH);
//					alert(data.N_DJAPBH);
					ajax.invokeProc("APPUSER2017.ZJSYS_SJXCJDGL.P_ZJSYS_SJXCJDGL_FJXXX", true, function(resp) {
						var ret = resp.getInt("PN_RET");
						var row = resp.getRowCount("P_RESULT");

						if(ret == 0) {
							var zgxxhtmlStr = '';
							for(var i = 1; i <= row; i++) {
								var zgxxData = {
									C_MC: resp.getString("P_RESULT", i, "C_MC")
								}
								zgxxhtmlStr += '<p style="font-size:0.8rem;">' + i + ':' + zgxxData.C_MC + '</p>';

								//	$(".btnBox").eq(i).append('<button type="button" class="mui-btn mui-btn-primary mui-btn-outlined xfzgtzBtn"  data-toggle="modal" data-target="#myModal" style="display: inline-block;position:absolute;right:7rem;bottom:0.2rem;padding:0.15rem 0.4rem;">下发整改通知书</button>');

							}
							$("#zgnr-content").append(zgxxhtmlStr);
						}
					}, ajax)
					//下发整改
					$("button.sendZgtz").off('tap').on('tap', function() {
						plus.nativeUI.showWaiting("等待中...");
						var ajax = new AjaxProxy();
						ajax.setCacheData(false);
						ajax.addParm("PN_APBH", data.N_DJAPBH);
						ajax.addParm("PN_GCBH", data.N_GCBH);
						ajax.addParm("PN_USERID", userInfo.userId);
						ajax.addParm("PC_USERNAME", userInfo.userName);
						ajax.addParm("PC_ZGNR", $("#zgnr-content").text());
						ajax.invokeProc("APPUSER2017.ZJSYS_SJXCJDGL.P_ZJSYS_SJXCJDGL_XDZGXX", true, function(resp) {
							plus.nativeUI.closeWaiting();
							var ret = resp.getInt("PN_RET");
							if(ret == 0) {
								_$.alert("下发成功", "提示", function() {
									$("#closeBtn").click();
								});
							} else {
								_$.alert("失败:" + resp.getString("PC_MSG"), "提示");
							}
						}, ajax)
					})
				})

			}
		}

		//		点击 检查按钮
		function openCheckIN() {
			
			var c_ccxmdm = '',
					c_ccxmmc = '',
					xypjbz = '';
				$("button.xypjBtn").off().on('tap', function() {
					xypjbz = $(this).attr("data-option");
					var data = $(this).closest("div.jobData").data("data");
					if(data.C_PJXXJD == '01') {
						c_ccxmmc = "巡查";
					} else if(data.C_PJXXJD == '02') {
						c_ccxmmc = '工程基础、主体验收监督实体抽查';
					} else if(data.C_PJXXJD == '03') {
						c_ccxmmc = '竣工验收';
					}

					if($(this).text() == '信用评价') {
						//待信用评价工程选择
						var ccxmPicker = new _$.PopPicker();
						ccxmPicker.setData([{
							value: '01',
							text: '巡查'
						}, {
							value: '02',
							text: '工程基础、主体验收监督实体抽查'
						}, {
							value: '03',
							text: '竣工验收'
						}]);

						ccxmPicker.show(function(item) {
							c_ccxmdm = item[0].value;
							c_ccxmmc = item[0].text;
							setTimeout(function() {
								_$.openWindow({
									id: 'gcxxList',
									url: '../xypj/gcxxList.html',
									extras: {
										data: data, //自定义扩展参数，可以用来处理页面间传值
										APBH: data.N_DJAPBH,
										ccxmdm: c_ccxmdm,
										ccxmmc: c_ccxmmc,
										xypjbz: xypjbz
									},
									createNew: true, //是否重复创建同样id的webview，默认为false:不重复创建，直接显示
									show: {
										//						aniShow: 'fade-in',
										duration: 300
									},
									waiting: {
										autoShow: false, //自动显示等待框，默认为true
										title: '正在加载...', //等待对话框上显示的提示内容	
									}
								});
							}, 20);
						})

					} else {
						c_ccxmdm = data.C_PJXXJD;
						_$.openWindow({
							id: 'gcxxList',
							url: '../xypj/gcxxList.html',
							extras: {
								data: data, //自定义扩展参数，可以用来处理页面间传值
								APBH: data.N_DJAPBH,
								ccxmdm: data.C_PJXXJD,
								ccxmmc: c_ccxmmc,
								xypjbz: xypjbz
							},
							createNew: true, //是否重复创建同样id的webview，默认为false:不重复创建，直接显示
							show: {
								//						aniShow: 'fade-in',
								duration: 300
							},
							waiting: {
								autoShow: false, //自动显示等待框，默认为true
								title: '正在加载...', //等待对话框上显示的提示内容	
							}
						});
					}

					//					返回 false 可以阻止选择框的关闭
					//return false;
				});

			var apbhCount = $("#job_list div.N_APBH").length;

			$("#job_list div.N_APBH").each(function(i, v) {

				//				$(this).closest("div.jobData").find(".xfzgtzBtn").on('tap',function(){
				var ajax = new AjaxProxy();
				ajax.addParm("PN_DJAPBH", $(v).text());
				ajax.invokeProc("APPUSER2017.ZJSYS_SJXCJDGL.P_ZJSYS_SJXCJDGL_SYCCBLIST", true, function(resp) {
					var ret = resp.getInt("PN_RET");
					var row = resp.getRowCount("P_RESULT");

					if(row > 0) {
						var htmlStr = '';
						for(var k = 1; k <= row; k++) {
							var data = {
								N_DJAPBH: resp.getString("P_RESULT", k, "N_DJAPBH"),
								N_JCBH: resp.getString("P_RESULT", k, "N_JCBH"),
								C_MC: resp.getString("P_RESULT", k, "C_MC"),
								C_CCBLXDM: resp.getString("P_RESULT", k, "C_CCBLXDM"),
								C_CCBZT:resp.getString("P_RESULT", k, "C_CCBZT"),
								C_JDYJBZ:resp.getString("P_RESULT", k, "C_JDYJBZ"),
								D_XGSJ:resp.getString("P_RESULT", k, "D_XGSJ")

							}
							if(data.C_CCBZT == '0'){
							htmlStr += '<span style="float:left;" class="ccb" data-jdyjbz='+data.C_JDYJBZ+' data-jcbh="' + data.N_JCBH + '" data-option="' + data.C_CCBLXDM + '">' + data.C_MC + '</span><a href="#" class="xiugai" style="margin-left:1.2rem;float:left;">修改</a><br/>';	
							}else{
							htmlStr += '<span style="float:left;" class="ccb" data- data-jcbh="' + data.N_JCBH + '" data-option="' + data.C_CCBLXDM + '">' + data.C_MC + '</span><a href="#" class="xiugai" style="margin-left:1.2rem;float:left;">查看</a><br/>';
								
							}
				

						}
						setTimeout(function() {

							$(".yjccclb").eq(i).append(htmlStr);
							xiugai();
						}, 20)

					} else {
						$(".yjccclb").eq(i).html("");
					}
				}, ajax)
				//				})

			})

			//点击检查
			$("button.checkNow").off().on('tap', function() {

				var data = $(this).closest("div.jobData").data("data");

				localStorage.setItem("N_APBH", data.N_DJAPBH);
				localStorage.setItem("GCBH", data.N_GCBH);

				_$.openWindow({
					id: 'chooseEx',
					url: 'chooseEx.html',
					extras: {
						data: data //自定义扩展参数，可以用来处理页面间传值
					},
					createNew: true, //是否重复创建同样id的webview，默认为false:不重复创建，直接显示
					show: {
						//						aniShow: 'fade-in',
						duration: 300
					},
					waiting: {
						autoShow: false, //自动显示等待框，默认为true
						title: '正在加载...', //等待对话框上显示的提示内容	
					}
				});
			});

			//点击修改
			function xiugai() {

				$("a.xiugai").off('tap').on('tap', function() {
					var data = $(this).closest("div.jobData").data("data");
					var ccbdm = $(this).prev().attr("data-option");
					var jcbh = $(this).prev().attr("data-jcbh");
					var jdyjbz = $(this).prev().attr("data-jdyjbz");
					localStorage.setItem("N_APBH",data.N_DJAPBH);
//					alert(jdyjbz);
//					alert(data.N_DJAPBH);
//					alert(ccbdm);
//					alert(jcbh); 
					_$.openWindow({
						url: "tableList.html",
						id: "tableList",
						extras: {
							xg_N_APBH: data.N_DJAPBH,
							ccbdm: ccbdm,
							jcbh: jcbh,
							jdyjbz:jdyjbz
						},
						createNew: true, //是否重复创建同样id的webview，默认为false:不重复创建，直接显示
						show: {
							//						aniShow: 'fade-in',
							duration: 300
						},
						waiting: {
							autoShow: false, //自动显示等待框，默认为true
							title: '正在加载...', //等待对话框上显示的提示内容	
						}
					})
				})
			}

			//存档
			$("button.saveccxm").off('tap').on('tap', function() {
				var data = $(this).closest("div.jobData").data("data");

				_$.confirm("是否对" + data.C_GCMC + "工程存档?", "提示", ['确认', '取消'], function(e) {
					if(e.index == 0) {

						var ajax = new AjaxProxy();
						ajax.setCacheData(false);
						ajax.addParm("PN_DJAPBH", data.N_DJAPBH);
						ajax.addParm("PN_USERID", userInfo.userId);
						ajax.addParm("PC_USERNAME", userInfo.userName);
						ajax.invokeProc("APPUSER2017.ZJSYS_SJXCJDGL.P_ZJSYS_SJXCJDGL_JCCD", true, function(resp) {
							var ret = resp.getInt("PN_RET");
							if(ret == 0) {
								_$.alert("保存成功!", "提示");
							} else {
								_$.alert("错误:" + resp.getString("PC_MSG"), "提示");
							}
						}, ajax)
					}
				})
			})

		}

		//页面内容刷新
		window.addEventListener("pageflowrefresh", function(e) {
			loadJoBList(); //重新加载内容
		});
	});

})(mui, document);