(function(_$, doc) {

	mui.init({
		gestureConfig: {
			tap: true, //默认为true
			// doubletap: true, //默认为false
			longtap: true, //默认为false
			release: false //默认为false，不监听
		}
	});

	//阻尼系数：flick 减速系数，系数越大，滚动速度越慢，滚动距离越小，默认值0.0006 
	var deceleration = mui.os.ios ? 0.003 : 0.0006;
	mui('.mui-scroll-wrapper').scroll({
		bounce: true,
		indicators: true, //是否显示滚动条
		deceleration: deceleration
	});

	_$.plusReady(function() {
		var self = plus.webview.currentWebview();
		var data = self.data;
		var userInfo = JSON.parse(localStorage.getItem("$state"));
		var xgapbh = self.xg_N_APBH;

		var dataList;
		var ccbTreeJSON = {};
		var RiconClass = "mui-icon-checkmarkempty";
		var WiconClass = "mui-icon-closeempty";
		var dwgcInfo = {};
		var ccqkArr = [];
		var xzdm = [];
		var Arr = [];
		
		xgxxinit();
		if(typeof(self.jcbh) =='undefined'){
			self.jcbh  = '';
		}
		if(self.jdyjbz !=''||typeof(self.jdyjbz)!='undefined' ){
			$("input[name='radio1'][value='"+self.jdyjbz+"']").attr("checked",true);
		}
		if(xgapbh == null || xgapbh == "" || typeof(xgapbh) == 'undefined') {
			dataList = data['item'];
			var ccbdm = data.userdata[0].content.C_DM;
			var ccbmc = data.userdata[0].content.C_MC;
			$("#title").html(ccbmc);

			// 基槽抽查表 基本情况显示
			if(data.id === 'ZJ-02-01') {
				$("#jbqk").hide();
			}

		} else {
			dataList = ccbTreeJSON.PC_CCQK;
//			alert(dataList);
		}
		
		loadCcbList();

		//加载修改状态检查表
		function xgxxinit() {
			var ajax = new AjaxProxy();
			ajax.setCacheData(false);
			ajax.addParm("apbh", xgapbh);
			ajax.addParm("jcbh", self.jcbh);
			ajax.addParm("ccblxdm", self.ccbdm);
			ajax.invokeJava("sjxcjdService.getCbjcqkInfo");
			ccbTreeJSON = eval("(" + ajax.getString('RESULT') + ")");

			if(ccbTreeJSON.PN_RET != 0) {
				_$.alert(ccbTreeJSON.PN_MSG, "提示", function() {
					_$.back();
				});
			}
		}

		//加载抽查表
		function loadCcbList() {
			var gcbh = localStorage.getItem("GCBH");
			
			var htmlStr = '';
			var theadHtml = '<table class="table-bordered" style="width:100%;margin:0 auto;height:100%;"><thead><tr style=""> <th style="width:83%;font-size:0.8rem;padding:0.15rem 0;">抽查项</th><th style="font-size:0.7rem;height:1.2rem;padding:0.15rem 0;">抽查情况</th></tr></thead></table>';
 
			for(var i = 0; i < dataList.length; i++) {//加载第一层目录
				htmlStr += '<li class="mui-table-view-cell mui-collapse keep-unfold mui-active"><a class="mui-navigate-right" href="#" style="color:#428bca;font-weight:bold;">' + dataList[i].userdata[0].content.C_MC + '</a><div class="mui-collapse-content" id="list' + i + '">' + theadHtml + '</div></li>';
			}

			$("#ccb_list").append(htmlStr);

//			var ajax = new AjaxProxy();
//			ajax.addParm("PN_GCBH", gcbh);
//			ajax.invokeProc("APPUSER2017.ZJSYS_SJXCJDGL.P_ZJSYS_SJXCJDGL_DWGCLIST", true, function(resp) {
//				var ret = resp.getInt("PN_RET");
//				var row = resp.getRowCount("P_RESULT");
//
//				if(ret == 0 && row > 0) {
//					dwgcInfo = {
//						"dwgcJsonObj": resp.responseInfo["P_RESULT"]["row_value"]
//					}
//					$("#dwgcList").empty();
//					var dwgchtmlStr = '';
//
//					for(var i = 0; i < dwgcInfo["dwgcJsonObj"].length; i++) {
//						dwgchtmlStr += '<div class="mui-input-row mui-checkbox" style="margin:0.2rem 0;border-bottom:1px solid #ccc;"><label>建设单体名称: &nbsp;&nbsp;' + dwgcInfo["dwgcJsonObj"][i].C_DWGCMC + '</label><input name="checkbox1" value="' + dwgcInfo["dwgcJsonObj"][i].N_DWGCBH + '" type="checkbox" class="dtgc" ></div>';
//					}
//
//					$("#dwgcList").append(dwgchtmlStr);
//				}
//
//			}, ajax)
		};
		//		alert(dwgcInfo["dwgcJsonObj"]);

		var listhtmlStr = '';
		
		//	加载表格
		$("#ccb_list li").each(function(i, v) {
			var ListData = dataList[i];
			var Data = ListData['item'];

			//加载目录、细则数据   
			if(Data != null && typeof(Data) != 'undefined') {
				if(Data[0].userdata[0].content.C_FL == '3') { 

					var xzhtmlStr = '<table class="table-bordered" style="width:100%;height:100%;"><tbody>';
					for(var j = 0; j < Data.length; j++) {
						var xz = Data[j].userdata[0].content.C_MC;
						if(xgapbh == null || xgapbh == "" || typeof(xgapbh) == 'undefined') {
							xzhtmlStr += '<tr ><td class="xz"  data-isfjx="' + Data[j].userdata[0].content.C_FJXBZ + '"  data-option="' + Data[j].userdata[0].content.C_DM + '" >' + xz + '</td><td style="text-align: center;"><i class="mui-icon icon " style="width:100%;height:100%;display:inline-block;overflow:hidden;vertical-align: middle;"></i></td></tr>';

						} else {
							if(Data[j].userdata[0].content.C_CCQK == '1') {
								xzhtmlStr += '<tr ><td class="xz"  data-isfjx="' + Data[j].userdata[0].content.C_FJXBZ + '"  data-option="' + Data[j].userdata[0].content.C_DM + '" >' + xz + '</td><td style="text-align: center;"><i class="mui-icon icon mui-icon-closeempty" style="width:100%;height:100%;display:inline-block;overflow:hidden;vertical-align: middle;"></i></td></tr>';
							} else if(Data[j].userdata[0].content.C_CCQK == '0') {
								xzhtmlStr += '<tr ><td class="xz"  data-isfjx="' + Data[j].userdata[0].content.C_FJXBZ + '"  data-option="' + Data[j].userdata[0].content.C_DM + '" >' + xz + '</td><td style="text-align: center;"><i class="mui-icon icon mui-icon-checkmarkempty" style="width:100%;height:100%;display:inline-block;overflow:hidden;vertical-align: middle;"></i></td></tr>';
							} else if(Data[j].userdata[0].content.C_CCQK == '2') {
								xzhtmlStr += '<tr ><td class="xz"  data-isfjx="' + Data[j].userdata[0].content.C_FJXBZ + '"  data-option="' + Data[j].userdata[0].content.C_DM + '" >' + xz + '</td><td style="text-align: center;"><i class="mui-icon icon " style="width:100%;height:100%;display:inline-block;overflow:hidden;vertical-align: middle;"></i></td></tr>';
							}
						}
					}
					xzhtmlStr += '</tbody></table>';
					$("#list" + i + "").append(xzhtmlStr);

				} else if(Data[0].userdata[0].content.C_FL == '2') {
					listhtmlStr = '<table class="table-bordered" style="border-color:red;width:100%;height:100%;"><tbody>';
					for(var j = 0; j < Data.length; j++) {
						var list = Data[j].userdata[0].content.C_MC;
						listhtmlStr += '<fieldset><legend>' + list + '</legend><table class="table-bordered" style="width:100%;height:100%;"><tbody>';
						for(var k = 0; k < Data[j]['item'].length; k++) {
							if(xgapbh == null || xgapbh == "" || typeof(xgapbh) == 'undefined') {
								listhtmlStr += '<tr><td class="xz" data-isfjx="' + Data[j]['item'][k].userdata[0].content.C_FJXBZ + '" data-option="' + Data[j]['item'][k].userdata[0].content.C_DM + '">' + Data[j]['item'][k].userdata[0].content.C_MC + '</td><td style="text-align: center;"><i class="mui-icon icon" style="width:100%;height:100%;display:inline-block;overflow:hidden;vertical-align: middle;"></i></td></tr>';
							} else {
								if(Data[j]['item'][k].userdata[0].content.C_CCQK == '0') {
									listhtmlStr += '<tr><td class="xz" data-isfjx="' + Data[j]['item'][k].userdata[0].content.C_FJXBZ + '" data-option="' + Data[j]['item'][k].userdata[0].content.C_DM + '">' + Data[j]['item'][k].userdata[0].content.C_MC + '</td><td style="text-align: center;"><i class="mui-icon icon mui-icon-checkmarkempty" style="width:100%;height:100%;display:inline-block;overflow:hidden;vertical-align: middle;"></i></td></tr>';
								} else if(Data[j]['item'][k].userdata[0].content.C_CCQK == '1') {
									listhtmlStr += '<tr><td class="xz" data-isfjx="' + Data[j]['item'][k].userdata[0].content.C_FJXBZ + '" data-option="' + Data[j]['item'][k].userdata[0].content.C_DM + '">' + Data[j]['item'][k].userdata[0].content.C_MC + '</td><td style="text-align: center;"><i class="mui-icon icon mui-icon-closeempty" style="width:100%;height:100%;display:inline-block;overflow:hidden;vertical-align: middle;"></i></td></tr>';
								} else if(Data[j]['item'][k].userdata[0].content.C_CCQK == '2') {
									listhtmlStr += '<tr><td class="xz" data-isfjx="' + Data[j]['item'][k].userdata[0].content.C_FJXBZ + '" data-option="' + Data[j]['item'][k].userdata[0].content.C_DM + '">' + Data[j]['item'][k].userdata[0].content.C_MC + '</td><td style="text-align: center;"><i class="mui-icon icon" style="width:100%;height:100%;display:inline-block;overflow:hidden;vertical-align: middle;"></i></td></tr>';
								}
								//									listhtmlStr += '<tr><td class="xz" data-isfjx="' + Data[j]['item'][k].userdata[0].content.C_FJXBZ + '" data-option="' + Data[j]['item'][k].userdata[0].content.C_DM + '">' + Data[j]['item'][k].userdata[0].content.C_MC + '</td><td style="text-align: center;"><i class="mui-icon icon" style="width:100%;height:100%;display:inline-block;overflow:hidden;vertical-align: middle;"></i></td></tr>';

							}

						}
						listhtmlStr += '</tbody></table>';
					}

				}

			}
			
			$("#list" + i + "").append(listhtmlStr);
		})

		$("i.icon").each(function(i, v) {
			//清除抽查情况勾叉选项
			$(this).on('longtap', function() {
				var $this = $(this);
				if($this.hasClass(RiconClass) || $this.hasClass(WiconClass)) {
					$this.removeClass(RiconClass + " " + WiconClass);
				}
			})

			//抽查情况切换勾叉选项
			$(this).on('tap', function() {

				if($(this).hasClass("mui-icon-checkmarkempty")) {
					$(this).removeClass("mui-icon-checkmarkempty").addClass("mui-icon-closeempty");
					$(this).attr("data-option", "1");
					if($(this).closest('td').prev().attr("data-isfjx") =='1'){
						$("input[name='radio1']").get(2).checked = true;
					}
				} else {
					$(this).removeClass("mui-icon-closeempty").addClass("mui-icon-checkmarkempty");
					$(this).attr("data-option", "0");
				}
			});

		});

		$("tr td.xz").each(function(i, v) {
			if($(v).attr("data-isfjx") == "1") {
				$(this).css("font-weight", "bold");
			}
		})

		//获取抽查情况
		function getCCQK() {
			Arr = [];
			ccqkArr = [];
			$("i.icon").each(function(i, v) {
				$(v).attr("data-option","");
				if($(v).hasClass(RiconClass)){
					$(v).attr("data-option","0");
				}else if($(v).hasClass(WiconClass)){
					$(v).attr("data-option","1");	
				}
				else {
					$(v).attr("data-option", "2");
				}
				ccqkArr.push($(v).attr("data-option"));
			})

			$("tr td.xz").each(function(i, v) {
				var jcqkJson = {};
				xzdm.push($(v).attr("data-option"));
				jcqkJson = {
					"C_XZDM": xzdm[i],
					"C_CCQK": ccqkArr[i]
				}
				Arr.push(jcqkJson);
			})
		}

		//保存抽查表
		function saveccb() {
			
			setTimeout(function() { // 异步取单位信息
				var jcqkJsonObj = {
					"jcqkJsonObj": Arr
				};
				plus.nativeUI.showWaiting("请稍后");
				var ajax = new AjaxProxy();
				ajax.addParm("PN_JCBH", self.jcbh);
				ajax.addParm("PN_DJAPBH", localStorage.getItem("N_APBH"));
				ajax.addParm("PC_CCBDM", typeof(ccbdm)=='undefined'||ccbdm ==''?self.ccbdm:ccbdm);
				ajax.addParm("PC_CCBMC", typeof(ccbmc)=='undefined'||ccbmc ==''?self.ccbmc:ccbmc);
				ajax.addParm("PC_SAVETYPE", bcqk);
				ajax.addParm("PC_JDYJBZ", $("input[name='radio1']:checked").val());
				ajax.addParm("PN_USERID", userInfo.userId);
				ajax.addParm("PC_USERNAME", userInfo.userName);
				ajax.addParm("PC_CCQKJSON", $.toJSON(jcqkJsonObj));
				ajax.invokeProc("APPUSER2017.ZJSYS_SJXCJDGL.P_ZJSYS_SJXCJDGL_CCQKSAVE", true, function(resp) {
					console.log(JSON.stringify(jcqkJsonObj));
					plus.nativeUI.closeWaiting();
console.log(JSON.stringify(resp));
					var ret = resp.getInt("PN_RET");
					if(ret == 0) {
						_$.alert("保存成功", "提示", function() {
							if(bcqk == '0'){
								
							var taskList = plus.webview.getWebviewById('tableList');
								taskList.reload();
							}else{
								_$.openWindow({
								url: "myJob.html",
								id: "myJob",
								show: {
									//						aniShow: 'fade-in',
									duration: 300
								},
								createNew: true, //是否重复创建同样id的webview，默认为false:不重复创建，直接显示
								waiting: {
									autoShow: true, //自动显示等待框，默认为true
									title: '正在加载...', //等待对话框上显示的提示内容	
								}
							})
							var taskList = plus.webview.getWebviewById('myJob');
								taskList.reload();
							}
							
						})
					} else {
						_$.alert(resp.getString("PC_MSG"),"提示");
					}
				}, ajax)
			}, 0)
		}

		function saveXgccb() {
			plus.nativeUI.showWaiting("加载中");
			var ajax = new AjaxProxy();
			ajax.setCacheData(false);
			ajax.addParm("PN_DJAPBH", xgapbh);
			ajax.addParm("PN_JCBH", self.jcbh);
			ajax.addParm("PC_CCBDM", self.ccbdm);
			ajax.addParm("PN_USERID", userInfo.userId);
			ajax.addParm("PC_USERNAME", userInfo.userName);
			ajax.addParm("PC_CCQKJSON", $.toJSON(jcqkJsonObj));
			ajax.invokeProc("APPUSER2017.ZJSYS_SJXCJDGL.P_ZJSYS_SJXCJDGL_CCQKXG",true,function(resp){
				plus.nativeUI.closeWaiting();
				var ret = resp.getInt("PN_RET");
				if(ret == 0 ){
					_$.alert("保存成功","提示",function(){
						_$.openWindow({
								url: "myJob.html",
								id: "myJob",
								show: {
									//						aniShow: 'fade-in',
									duration: 300
								},
								waiting: {
									autoShow: false, //自动显示等待框，默认为true
									title: '正在加载...', //等待对话框上显示的提示内容	
								}
							})
					})
				}else{
					_$.alert(resp.getString("PC_MSG"),"提示");
				}
			},ajax)
		}

		// 防止软键盘弹出遮挡住输入框
		if(/Android [4-6]/.test(navigator.appVersion)) {
			window.addEventListener('resize', function() {
				if(document.activeElement.tagName === 'INPUT' || document.activeElement.tagName === 'TEXTAREA') {
					window.setTimeout(function() {
						document.activeElement.scrollIntoViewIfNeeded();
					}, 0)
				}
			})
		}
		//
		$("#saveBtn").on('tap',function(){
			bcqk = '0' ;
			_$.confirm('确定临时保存抽查表？', "提示", ['确认', '取消'], function(e) {
				if(e.index == 0) {
					getCCQK();
					saveccb();
				}
			})
		})
		//提交按钮
		$("#submitjcb").on('tap', function() {
			bcqk = '1' ;
			_$.confirm('确定提交抽查表？', "提示", ['确认', '取消'], function(e) {
				if(e.index == 0) {
					getCCQK();
					saveccb();
				}
			})
		})

		//返回按钮
		$("#returnBtn").on('tap', function() {
			_$.back();
		})

	})
})(mui, document)