var userid;
var userdata;
var username;
//localStorage.clear();//清除app缓存
//var dwdm;
/*
 * 应用全局性的操作
 */
mui.init();

(function($, owner) {
$.plusReady(function() {
	//获取原始窗口的高度
	var originalHeight = document.documentElement.clientHeight || document.body.clientHeight;

	window.onresize = function() {

		//软键盘弹起与隐藏  都会引起窗口的高度发生变化
		var resizeHeight = document.documentElement.clientHeight || document.body.clientHeight;

		if(resizeHeight * 1 < originalHeight * 1) { //resizeHeight<originalHeight证明窗口被挤压了

			plus.webview.currentWebview().setStyle({
				height: originalHeight
			});
		}
	}

});


	/**
	 * 用户登录
	 **/
	owner.login = function(loginInfo, callback) {
			
		callback = callback || $.noop;
		loginInfo = loginInfo || {};
		loginInfo.account = loginInfo.account || '';
		loginInfo.password = loginInfo.password || '';
		if(loginInfo.account.length < 3) {
			return callback('账号最短为 3 个字符');
		}
		if(loginInfo.password.length < 6) {
			return callback('密码最短为 6 个字符');
		}
		try {
			plus.nativeUI.showWaiting("登陆中");
			var ajax = new AjaxProxy();
			ajax.setCacheData(false);
			ajax.addParm("PC_LOGINNAME", loginInfo.account);
			ajax.addParm("PC_PASSWORD",loginInfo.password);
			ajax.invokeProc("APPUSER2017.ZJSYS_DLGL.P_ZJSYS_DLGL_LOGIN", true, function(ap) {
//							console.log(JSON.stringify(ap));
				plus.nativeUI.closeWaiting();
				var bRet = ap.getInt("PN_RET");
				var bCnt = ap.getRowCount("P_RESULT");
				if(bRet != 0) {
					return callback(ap.getString("PC_MSG"));
				} else if(bCnt != 1) {
					return callback("未取到登录用户信息！");
				} else {
					var user = {
						N_USERID: ap.getInt("P_RESULT", 1, "N_USERID"),
						C_LOGINNAME: ap.getString("P_RESULT", 1, "C_LOGINNAME"),
						C_USERNAME: ap.getString("P_RESULT", 1, "C_USERNAME")
					};
					return owner.createState(user, callback);
				}
			}, ajax);
		} catch(e) {
			return callback('登录出错：' + e.message);
		}
	};

	/**
	 * 创建用户状态
	 * @param {Object} user
	 * @param {Object} callback
	 */
	owner.createState = function(user, callback) {
		var state = owner.getState();
		state.userId = user.N_USERID;
		state.account = user.C_LOGINNAME;
		state.userName = user.C_USERNAME;
//		state.dwdm   = user.C_DWDM;
//		state.token = user.C_TOKEN;
		owner.setState(state);
		
		return callback();
	};

/**
	 * 设置当前状态
	 **/
	owner.setState = function(state) {
		state = state || {};
		localStorage.setItem('$state', JSON.stringify(state));
	};
	
	/**
	 * 获取当前状态
	 **/
	owner.getState = function() {
		var stateText = localStorage.getItem('$state') || "{}";
		return JSON.parse(stateText);
	};
	userid = owner.getState().userId; // 获取当前操作员id
	dwdm = owner.getState().dwdm;// 企业id
	username = owner.getState().userName;



	/**
	 * 获取应用本地配置
	 **/
	owner.setSettings = function(settings) {
		settings = settings || {};
		localStorage.setItem('$settings', JSON.stringify(settings));
	}

	/**
	 * 设置应用本地配置
	 **/
	owner.getSettings = function() {
		var settingsText = localStorage.getItem('$settings') || "{}";
		return JSON.parse(settingsText);
	}

}(mui, window.app = {}));