(function(_$, doc) {
	_$.init();
	_$.plusReady(function() {
	
		var self = plus.webview.currentWebview();
		var data = self.data;
		

		var userInfo = JSON.parse(localStorage.getItem("$state"));
		var N_XYPJJLBH = data.N_XYPJJLBH;
		var N_XYPJMBH = data.N_XYPJMBH;

		$("#C_PJXYJD").val(self.ccxmmc);
		setInputArea(data);
		
		if(self.xypjbz == '1'){
		$("#submitBtn").attr("disabled",true);
		}
		//申请日期选择
		$("#rqxz").on('tap', function() {
			var options = {
				type: "date"
			};

			var id = this.getAttribute('id');
			var picker = new _$.DtPicker(options);
			picker.show(function(rs) {
				doc.getElementById("D_APJCSJ").value = rs.text;
				/* 
				 * 返回 false 可以阻止选择框的关闭
				 * return false;
				 */
				/*
				 * 释放组件资源，释放后将将不能再操作组件
				 * 通常情况下，不需要示放组件，new DtPicker(options) 后，可以一直使用。
				 * 当前示例，因为内容较多，如不进行资原释放，在某些设备上会较慢。
				 * 所以每次用完便立即调用 dispose 进行释放，下次用时再创建新实例。
				 */
				picker.dispose();
			});
		});

		loadpjbData();
		
		

		$("#submitBtn").on('tap', function() {
			submitXypjb();
		})

		function loadpjbData() {
			if(data.C_GCLB == '0') {
				data.C_GCLB = '01';
			} else if(data.C_GCLB == '1') {
				data.C_GCLB = '02';
			} else if(data.C_GCLB == '2') {
				data.C_GCLB = '03';
			}

			if(N_XYPJJLBH == "" || N_XYPJJLBH == null || N_XYPJJLBH == 0) {
				var ap = new AjaxProxy();
				ap.setCacheData(false);
				ap.addParm("PN_DJAPBH", data.N_DJAPBH);
				ap.addParm("PN_GCBH", data.N_GCBH);
				ap.addParm("PC_JDBAH", data.C_JDBAH);
				ap.addParm("PC_CCXM", self.ccxmdm);
				ap.addParm("PC_SYLX", data.C_GCLB);
				ap.addParm("PN_USERID", userInfo.userId);
				ap.addParm("PC_USERNAME", userInfo.userName);
				ap.invokeProc("APPUSER2017.ZJSYS_XYPJ.PW_ZJSYS_XYPJ_PJXX_INIT", true, function(resp) {

					var ret = resp.getInt("PN_RET");
					N_XYPJJLBH = resp.getInt("PN_XYPJJLBH");
					N_XYPJMBH = resp.getInt("PN_XYPJMBH");
				}, ap);
			}

		}

		function submitXypjb() {
			_$.confirm("是否提交信用评价表？", "提示", ['确认', '取消'], function(e) {
				if(e.index == 0) {
					plus.nativeUI.showWaiting("加载中");
					var ajax = new AjaxProxy();
					ajax.addParm("PN_XYPJJLBH", N_XYPJJLBH);
					ajax.addParm("PN_USERID", userInfo.userId);
					ajax.addParm("PC_USERNAME", userInfo.userName);
					ajax.invokeProc("APPUSER2017.ZJSYS_XYPJ.PW_ZJSYS_XYPJ_TJSH", true, function(resp) {
						plus.nativeUI.closeWaiting();
						var ret = resp.getInt("PN_RET");
						var sfsh = resp.getString("PC_SFSHFLAG");
						if(ret == 0) {
							_$.alert("提交成功", "提示",function(){
								
							});
						} else {
							_$.alert(resp.getString("PC_MSG"), "提示");
						}
					}, ajax)
				}
			})

		}

		$("#SgpfBtn").on('tap', function() {
			_$.openWindow({
				url: "xypjb.html",
				id: "xypjb",
				extras: {
					data: data,
					ccxmdm: self.ccxmdm,
					xypjjlbh: N_XYPJJLBH,
					xypjmbbh: N_XYPJMBH,
					kflx: 0,
					C_JDRY: $("#C_JDCYXM").val(),
					C_PJSJ: $("#D_APJCSJ").val(),
					pjbz :self.xypjbz,
					sgdf :data.N_SGDW_DF
				},
				createNew: true, //是否重复创建同样id的webview，默认为false:不重复创建，直接显示
				show: {
					//	aniShow: 'fade-in',
					duration: 300
				},
				waiting: {
					autoShow: false, //自动显示等待框，默认为true
					title: '正在加载...', //等待对话框上显示的提示内容	
				}
			})
		})

		$("#JlpfBtn").on('tap', function() {

			_$.openWindow({
				url: "xypjb.html",
				id: "xypjb",
				extras: {
					data: data,
					ccxmdm: self.ccxmdm,
					xypjjlbh: N_XYPJJLBH,
					xypjmbbh: N_XYPJMBH,
					kflx: 1,
					C_JDRY: $("#C_JDCYXM").val(),
					C_PJSJ: $("#D_APJCSJ").val(),
					pjbz :self.xypjbz,
					jldf :data.N_JLDW_DF
				},
				createNew: true, //是否重复创建同样id的webview，默认为false:不重复创建，直接显示
				show: {
					//	aniShow: 'fade-in',
					duration: 300
				},
				waiting: {
					autoShow: false, //自动显示等待框，默认为true
					title: '正在加载...', //等待对话框上显示的提示内容	
				}
			})
		})
		
		//页面内容刷新
		window.addEventListener("pageflowrefresh", function(e) {
			loadJoBList(); //重新加载内容
		});
	})
})(mui, document)