(function(_$, doc) {

	_$.init();

	//阻尼系数：flick 减速系数，系数越大，滚动速度越慢，滚动距离越小，默认值0.0006 
	var deceleration = mui.os.ios ? 0.003 : 0.0006;
	_$('.mui-scroll-wrapper').scroll({
		bounce: true,
		indicators: true, //是否显示滚动条
		deceleration: deceleration
	});

	_$.plusReady(function() {

		var self = plus.webview.currentWebview();
		var data = self.data;
		var sylx = data.C_GCLB,
			kflx = self.kflx;

		if(self.pjbz == '0') {
			_$.back = function() {
				cancel();
			}
		}
		var userInfo = JSON.parse(localStorage.getItem("$state"));
		var N_APBH = self.APBH;
		var C_CCXMDM = self.ccxmdm;
		var xypjJson;
		var jsonStr = {};
		var kfxwdm, sgdf = "",
			jldf = "",
			kfcs = "";
		loadXypjbList();
		buildTable(jsonStr, "ZJ", "2");
		if(self.pjbz == '1') {
			$("#nav_bar").hide();
			$("input").attr("disabled", true);
		}
		//信用评价表检索
		function loadXypjbList() {

			if(self.xypjjlbh == "" || self.xypjjlbh == null) {
				_$.alert("初始评价表失败,请返回重试", "提示", function() {
					_$.back();
				})
			}
			if(kflx == '1') {
				data.C_GCLB = '04';
			}
			var ajax = new AjaxProxy();
			ajax.addParm("cXypjjlbh", self.xypjjlbh);
			ajax.addParm("cSylx", data.C_GCLB); // 适用类型（01：房建；02：市政；03：轨道；04：监理）
			ajax.invokeJava("xypjglService.getXypjInfo");
			xypjJson = ajax.getString("RESULT");
			jsonStr = JSON.parse(xypjJson);

		}

		function buildTable(jsonStr, parentId) {
			for(var i = 0; i < jsonStr.length; i++) {
				if(parentId == (jsonStr[i].userdata)[0].content.C_FATHER) {

					if((jsonStr[i].userdata)[0].content.C_FL == "2") {
						$("#list_fl_2").append('<li class="mui-table-view-cell" style="background-color:#CCCCCC;">' + (jsonStr[i].userdata)[0].content.C_MC + ' 【分值 (' + (jsonStr[i].userdata)[0].content.N_FZ + ')分】</li>');
					} else if((jsonStr[i].userdata)[0].content.C_FL == "3") {
						if((jsonStr[i].userdata)[0].content.C_DM == "ZJJL0038" && kflx == '1') {
							$("#list_fl_2").append('<li class="mui-table-view-cell kfx" style="vertical-align:middle;"><div class="mui-input-row mui-checkbox"><label data-option="' + (jsonStr[i].userdata)[0].content.C_DM + '">' + (jsonStr[i].userdata)[0].content.C_MC + '</label></div></div></li>');
						} else {
							if((jsonStr[i].userdata)[0].content.C_SFKF == '0') {
								if((jsonStr[i].userdata)[0].content.C_KFCSLX == '2') {
									$("#list_fl_2").append('<li class="mui-table-view-cell kfx" style="vertical-align:middle;"><div class="mui-input-row mui-checkbox"><label data-option="' + (jsonStr[i].userdata)[0].content.C_DM + '">' + (jsonStr[i].userdata)[0].content.C_MC + ',<input type="tel" class="kfcs" style="width:35px;height:30px;padding:0 1px;"/>次</label><input name="checkbox1" value="Item 1" style="55px;height:55px;" type="checkbox"></div></div></li>');
								} else {
									$("#list_fl_2").append('<li class="mui-table-view-cell kfx"><div class="mui-input-row mui-checkbox"><label data-option="' + (jsonStr[i].userdata)[0].content.C_DM + '">' + (jsonStr[i].userdata)[0].content.C_MC + '</label><input name="checkbox1"  type="checkbox"></div></div></li>')
								}
							} else if((jsonStr[i].userdata)[0].content.C_SFKF == '1') {
								$("#list_fl_2").append('<li class="mui-table-view-cell kfx" style="vertical-align:middle;"><div class="mui-input-row mui-checkbox"><label data-option="' + (jsonStr[i].userdata)[0].content.C_DM + '">' + (jsonStr[i].userdata)[0].content.C_MC + ',<input type="tel" class="kfcs" value="' + (jsonStr[i].userdata)[0].content.N_KFCS + '" style="width:35px;height:30px;padding:0 1px;vertical-align:middle;"/>次</label><input name="checkbox1" value="Item 1" type="checkbox" style="vertical-align:middle;" checked></div></div></li>');
							}
						}

					} else if((jsonStr[i].userdata)[0].content.C_FL == "1") {
						if(kflx == '0') {
							$("#title").html('总分(' + self.sgdf + ')分' + (jsonStr[i].userdata)[0].content.C_MC);
						} else {
							$("#title").html('总分(' + self.jldf + ')分' + (jsonStr[i].userdata)[0].content.C_MC);
						}
					} else {
						console.log("错误");
					}
					buildTable(jsonStr[i].item, (jsonStr[i].userdata)[0].content.C_DM);
				}
			}

		}
		if(self.pjbz != '1') {
			$("li.mui-table-view-cell.kfx").each(function(i, v) {
				$(this).on('tap', function() {
					var isChecked = $(this).find("input[type='checkbox']").prop("checked");
					kfxwdm = $(this).find("label").attr("data-option");
					if(!isChecked) {
						kfcs = '1';
						var isdckf = $(this).find("input[type='tel']").attr("class") == "kfcs";

						if(isdckf) {
							$(this).find("input[type='tel']").val("1");
							$(this).find("input[type='tel']").keyup(function() {
								this.value = this.value.replace(/\D/g, "");
								this.setAttribute('maxLength', '3');
							})
							pjbkf();
							$(this).find("input[type='tel']").blur(function() {
								$("#title").empty();
								kfcs = $(this).val();
								if(kfcs == "") {
									$(this).closest("li.kfx").find("input[type='checkbox']").prop("checked", false);
									kfcs = 0;
									pjbkf();
								} else {
									$(this).closest("li.kfx").find("input[type='checkbox']").prop("checked", true);
									pjbkf();
								}
							})
						} else {
							pjbkf();
						}
					} else {
						$(this).find("input[type='tel']").val("");
						kfcs = 0;
						pjbkf();
					}
				})
			})
		}

		//取消按钮
		$("#cancelPjb").on('tap', function() {
			cancel();
		});

		//保存按钮
		$("#saveBtn").on('tap', function() {
			saveXypjb();
		})

		//返回按钮
		$("#returnBtn").on('tap', function() {
			_$.openWindow({
				url: "gcxxList.html",
				id: "gcxxList",
				createNew: false, //是否重复创建同样id的webview，默认为false:不重复创建，直接显示
				waiting: {
					autoShow: true, //自动显示等待框，默认为true
					title: '正在加载...' //等待对话框上显示的提示内容
				}
			})
		})

		//评价表扣分
		function pjbkf() {
			$("#title").empty();
			var ajax = new AjaxProxy();
			ajax.addParm("PN_XYPJJLBH", self.xypjjlbh);
			ajax.addParm("PN_XYPJMBH", self.xypjmbbh);
			ajax.addParm("PC_KFLX", kflx);
			ajax.addParm("PC_SYLX", sylx);
			ajax.addParm("PC_PJXXJD", C_CCXMDM);
			ajax.addParm("PC_KFXWDM", kfxwdm);
			ajax.addParm("PN_KFCS", kfcs);
			ajax.addParm("PN_USERID", userInfo.userId);
			ajax.addParm("PC_USERNAME", userInfo.userName);
			ajax.invokeProc("APPUSER2017.ZJSYS_XYPJ.PW_ZJSYS_XYPJ_KFXX_SAVE", true, function(resp) {
				console.log(JSON.stringify(resp));
				var ret = resp.getInt("PN_RET");
				sgdf = resp.getString("PN_SGDW_DF");
				jldf = resp.getString("PN_JLDW_DF");
				if(kflx == '0') {
					$("#title").append('总分(' + sgdf + '分)' + jsonStr[0].userdata[0].content.C_MC);
				} else if(kflx == '1') {
					$("#title").append('总分(' + jldf + '分)' + jsonStr[0].userdata[0].content.C_MC);
				}

				if(ret != 0) {
					_$.alert(resp.getString("PC_MSG"), "提示");
				}
			}, ajax)
		}

		//保存信用评价表
		function saveXypjb() {

			_$.confirm("确认保存?", "提示", ['确认', '取消'], function(e) {
				if(e.index == 0) {
					plus.nativeUI.showWaiting("加载中");
					var ajax = new AjaxProxy();
					ajax.addParm("PN_XYPJJLBH", self.xypjjlbh);
					if(kflx == '0') {
						ajax.addParm("PN_SGDW_DF", sgdf);
					} else if(kflx == '1') {
						ajax.addParm("PN_JLDW_DF", jldf);
					}
					ajax.addParm("PC_PJRY", self.C_JDRY);
					ajax.addParm("PC_PJSJ", self.C_PJSJ);
					ajax.addParm("PC_PJXXJD", C_CCXMDM);
					ajax.addParm("PN_USERID", userInfo.userId);
					ajax.addParm("PC_USERNAME", userInfo.userName);
					ajax.invokeProc("APPUSER2017.ZJSYS_XYPJ.PW_ZJSYS_XYPJ_PJXX_SAVE", true, function(resp) {
						plus.nativeUI.closeWaiting();
						var ret = resp.getInt("PN_RET");
						if(ret != 0) {
							_$.alert(resp.getString("PC_MSG"), "提示");
						} else {
							_$.alert("保存成功", "提示", function() {
								_$.openWindow({
									url: "../xcjc/myJob.html",
									id: "myJob",
									extras: {
										sgdf: sgdf,
										jldf: jldf
									},
									createNew: true, //是否重复创建同样id的webview，默认为false:不重复创建，直接显示
									show: {
										//						aniShow: 'fade-in',
										duration: 300
									},
									waiting: {
										autoShow: false, //自动显示等待框，默认为true
										title: '正在加载...', //等待对话框上显示的提示内容	
									}
								})
								var taskList = plus.webview.getWebviewById('myJob');
								taskList.reload();
							})
						}
					}, ajax)
				}

			})

		}

		//取消本次信用评价
		function cancel() {
			_$.confirm("是否放弃对本次的信用评价？", "提示", ['确认', '取消'], function(e) {
				if(e.index == 0) {
					plus.nativeUI.showWaiting("加载中");
					var ap = new AjaxProxy();
					ap.addParm("PN_XYPJJLBH", self.xypjjlbh);
					ap.invokeProc("APPUSER2017.ZJSYS_XYPJ.PW_ZJSYS_XYPJ_PJXX_UNINIT", true, function(resp) {
						plus.nativeUI.closeWaiting();
						var ret = resp.getInt("PN_RET");
						if(ret != 0) {
							mui.alert(resp.getString("PC_MSG"), "提示");
						} else {
							//							plus.webview.close("gcxxList");	
							//							plus.webview.close("jobList");
							_$.openWindow({
								url: "../xcjc/myJob.html",
								id: "myJob",
								createNew: true, //是否重复创建同样id的webview，默认为false:不重复创建，直接显示
								show: {
									//						aniShow: 'fade-in',
									duration: 300
								},
								waiting: {
									autoShow: false, //自动显示等待框，默认为true
									title: '正在加载...', //等待对话框上显示的提示内容	
								}
							})
							//var taskList = plus.webview.getWebviewById('index');
							//taskList.reload();
						}
					}, ap)
				}
			})

		}

		//获取原始窗口的高度
		var originalHeight = document.documentElement.clientHeight || document.body.clientHeight;

		window.onresize = function() {

			//软键盘弹起与隐藏  都会引起窗口的高度发生变化
			var resizeHeight = document.documentElement.clientHeight || document.body.clientHeight;

			if(resizeHeight * 1 < originalHeight * 1) { //resizeHeight<originalHeight证明窗口被挤压了

				plus.webview.currentWebview().setStyle({
					height: originalHeight
				});

			}
		}
	})
})(mui, document)